net.sf.jasperreports.extensions

## Class SingletonExtensionRegistry<Type>

- java.lang.Object
- - net.sf.jasperreports.extensions.SingletonExtensionRegistry<Type>

- Type Parameters:
    `Type` - the extension type
  All Implemented Interfaces:
    ExtensionsRegistry

      public class SingletonExtensionRegistry<Type>
      extends java.lang.Object
      implements ExtensionsRegistry

  An extension registry that contains a single extension.
  Version:
    $Id: SingletonExtensionRegistry.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonExtensionRegistry(java.lang.Class<Type> type, Type extension)` Creates a singleton extension registry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> java.util.List<T>` | `getExtensions(java.lang.Class<T> extensionType)` Returns a list of extension objects for a specific extension type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingletonExtensionRegistry

          public SingletonExtensionRegistry(java.lang.Class<Type> type,
                                    Type extension)

      Creates a singleton extension registry.
      Parameters:
        `type` - the registry type
        `extension` - the extension object

  - ### Method Detail

    - #### getExtensions

          public <T> java.util.List<T> getExtensions(java.lang.Class<T> extensionType)

      Description copied from interface: `ExtensionsRegistry`
      Returns a list of extension objects for a specific extension type.
      Specified by:
        `getExtensions` in interface `ExtensionsRegistry`
      Type Parameters:
        `T` - generic extension type
      Parameters:
        `extensionType` - the extension type
      Returns:
        a list of extension objects

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com